import 'package:clean_android_design/clean_android_design.dart';
import 'package:flutter/material.dart';

class IconScaffoldMenuButtonWidget extends StatelessWidget {
  final IconData icon;
  final Text text;
  final GestureTapCallback onTap;
  final String tooltip;

  const IconScaffoldMenuButtonWidget(
      {Key key, this.icon, this.text, this.onTap, this.tooltip})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Expanded(
      child: Tooltip(
        message: tooltip,
        child: Container(
          padding: EdgeInsets.symmetric(horizontal: 5),
          height: 50,
          child: Material(
            color: CleanAndroidDesignDefaultColors.background,
            borderRadius: BorderRadius.circular(10),
            child: InkWell(
              borderRadius: BorderRadius.circular(10),
              onTap: onTap,
              child: Column(
                mainAxisAlignment: MainAxisAlignment.center,
                children: <Widget>[
                  Icon(
                    icon,
                    color: CleanAndroidDesignDefaultColors.defaultColor,
                  ),
                  DefaultTextStyle(
                      style: TextStyles.textStyleSize(13), child: text)
                ],
              ),
            ),
          ),
        ),
      ),
    );
  }
}
