import 'dart:core';

import 'package:clean_android_design/clean_android_design.dart';
import 'package:flutter/material.dart';

class Validator<T> implements IValidation<T> {
  final Key pageKey;

  Validator() : pageKey = null;

  Validator.forPage({@required this.pageKey});

  final List<IValidation<T>> _children = <IValidation<T>>[];

  void addChild(IValidation validation) {
    _children.add(validation);
  }

  ValidationResult isValid(T item) {
    var result = ValidationResult(pageKey: pageKey);

    _children.forEach((validation) => result.merge(validation?.isValid(item)));
    return result;
  }
}
